# Generated by Django 3.2.3 on 2021-05-20 16:58

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('geodata', '0015_rename_collectionmembership'),
    ]

    operations = [
        migrations.CreateModel(
            name='PointCloudEntry',
            fields=[
                (
                    'modifiableentry_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='geodata.modifiableentry',
                    ),
                ),
                ('name', models.CharField(blank=True, max_length=1000)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            bases=('geodata.modifiableentry',),
        ),
        migrations.CreateModel(
            name='PointCloudMetaEntry',
            fields=[
                (
                    'spatialentry_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        to='geodata.spatialentry',
                    ),
                ),
                (
                    'modifiableentry_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='geodata.modifiableentry',
                    ),
                ),
                ('crs', models.TextField(blank=True, help_text='PROJ string', null=True)),
                (
                    'origin',
                    django.contrib.postgres.fields.ArrayField(
                        base_field=models.FloatField(), blank=True, null=True, size=3
                    ),
                ),
                (
                    'parent_point_cloud',
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE, to='geodata.pointcloudentry'
                    ),
                ),
            ],
            bases=('geodata.modifiableentry', 'geodata.spatialentry'),
        ),
        migrations.CreateModel(
            name='PointCloudFile',
            fields=[
                (
                    'modifiableentry_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to='geodata.modifiableentry',
                    ),
                ),
                ('failure_reason', models.TextField(null=True)),
                (
                    'status',
                    models.CharField(
                        choices=[
                            ('created', 'Created but not queued'),
                            ('queued', 'Queued for processing'),
                            ('running', 'Processing'),
                            ('failed', 'Failed'),
                            ('success', 'Succeeded'),
                        ],
                        default='created',
                        max_length=20,
                    ),
                ),
                (
                    'file',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='geodata.checksumfile'
                    ),
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('geodata.modifiableentry', models.Model),
        ),
        migrations.AddField(
            model_name='pointcloudentry',
            name='source',
            field=models.OneToOneField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to='geodata.pointcloudfile',
            ),
        ),
        migrations.AddField(
            model_name='pointcloudentry',
            name='vtp_data',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.DO_NOTHING, to='geodata.checksumfile'
            ),
        ),
    ]
